%define upstream_name    Dist-Zilla-Plugin-Test-CPAN-Meta-JSON
%define upstream_version 0.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Release tests for your META.json
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(Dist::Zilla::Role::FilePruner)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More)
BuildRequires: perl(autodie)
BuildArch: noarch

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following file if _META.json_ is in your dist:

    xt/release/meta-json.t - a standard Test::CPAN::Meta::JSON test

See the Test::CPAN::Meta::JSON manpage for what this test does.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README.mkdn Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.4.0-7.mga10
+ Revision: 2198676
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.4.0-6.mga9
+ Revision: 1803417
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.4.0-5.mga8
+ Revision: 1494401
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.4.0-4.mga7
+ Revision: 1267605
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.4.0-3.mga6
+ Revision: 1026593
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.4.0-2.mga6
+ Revision: 967432
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.4.0-1.mga6
+ Revision: 848940
- update to 0.004

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-5.mga5
+ Revision: 741485
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 511200
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 366446
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- imported package perl-Dist-Zilla-Plugin-Test-CPAN-Meta-JSON


* Fri Aug 26 2011 cpan2dist 0.003-1mga
- initial mageia release, generated with cpan2dist
